CVE-2024-36422

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2024-36422
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2024-36422.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2024-36422
Published
2024-07-01T16:15:04Z
Modified
2024-07-09T01:20:26.424329Z
Severity
  • 6.1 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N CVSS Calculator
Summary
[none]
Details

Flowise is a drag & drop user interface to build a customized large language model flow. In version 1.4.3 of Flowise, a reflected cross-site scripting vulnerability occurs in the api/v1/chatflows/id endpoint. If the default configuration is used (unauthenticated), an attacker may be able to craft a specially crafted URL that injects Javascript into the user sessions, allowing the attacker to steal information, create false popups, or even redirect the user to other websites without interaction. If the chatflow ID is not found, its value is reflected in the 404 page, which has type text/html. This allows an attacker to attach arbitrary scripts to the page, allowing an attacker to steal sensitive information. This XSS may be chained with the path injection to allow an attacker without direct access to Flowise to read arbitrary files from the Flowise server. As of time of publication, no known patches are available.

References

Affected packages

Git / github.com/flowiseai/flowise

Affected ranges

Type
GIT
Repo
https://github.com/flowiseai/flowise
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Last affected

Affected versions

flowise-components@1.*

flowise-components@1.0.0
flowise-components@1.1.0
flowise-components@1.1.1
flowise-components@1.2.1
flowise-components@1.2.10
flowise-components@1.2.11
flowise-components@1.2.12
flowise-components@1.2.13
flowise-components@1.2.14
flowise-components@1.2.15
flowise-components@1.2.16
flowise-components@1.2.17
flowise-components@1.2.2
flowise-components@1.2.3
flowise-components@1.2.4
flowise-components@1.2.5
flowise-components@1.2.6
flowise-components@1.2.7
flowise-components@1.2.8
flowise-components@1.2.9
flowise-components@1.3.0
flowise-components@1.3.1
flowise-components@1.3.10
flowise-components@1.3.11
flowise-components@1.3.2
flowise-components@1.3.3
flowise-components@1.3.4
flowise-components@1.3.5
flowise-components@1.3.7
flowise-components@1.3.8
flowise-components@1.3.9
flowise-components@1.4.0
flowise-components@1.4.0-rc.1
flowise-components@1.4.1
flowise-components@1.4.2
flowise-components@1.4.3

flowise-ui@1.*

flowise-ui@1.0.0
flowise-ui@1.1.0
flowise-ui@1.2.0
flowise-ui@1.2.1
flowise-ui@1.2.10
flowise-ui@1.2.11
flowise-ui@1.2.12
flowise-ui@1.2.13
flowise-ui@1.2.14
flowise-ui@1.2.15
flowise-ui@1.2.2
flowise-ui@1.2.3
flowise-ui@1.2.4
flowise-ui@1.2.5
flowise-ui@1.2.6
flowise-ui@1.2.7
flowise-ui@1.2.9
flowise-ui@1.3.0
flowise-ui@1.3.1
flowise-ui@1.3.2
flowise-ui@1.3.3
flowise-ui@1.3.4
flowise-ui@1.3.5
flowise-ui@1.3.6
flowise-ui@1.3.7
flowise-ui@1.4.0
flowise-ui@1.4.0-rc.1
flowise-ui@1.4.1

flowise@1.*

flowise@1.0.0
flowise@1.0.1
flowise@1.1.0
flowise@1.1.1
flowise@1.2.1
flowise@1.2.10
flowise@1.2.11
flowise@1.2.12
flowise@1.2.13
flowise@1.2.14
flowise@1.2.15
flowise@1.2.16
flowise@1.2.2
flowise@1.2.3
flowise@1.2.4
flowise@1.2.5
flowise@1.2.6
flowise@1.2.7
flowise@1.2.8
flowise@1.2.9
flowise@1.3.0
flowise@1.3.1
flowise@1.3.2
flowise@1.3.3
flowise@1.3.4
flowise@1.3.5
flowise@1.3.6
flowise@1.3.7
flowise@1.3.8
flowise@1.3.9
flowise@1.4.0
flowise@1.4.0-rc.1
flowise@1.4.1
flowise@1.4.2
flowise@1.4.3